[arch-commits] Commit in openvpn/repos (14 files)

Bartłomiej Piotrowski bpiotrowski at nymeria.archlinux.org
Fri May 3 12:31:33 UTC 2013


    Date: Friday, May 3, 2013 @ 14:31:33
  Author: bpiotrowski
Revision: 184197

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  openvpn/repos/testing-i686/
  openvpn/repos/testing-i686/PKGBUILD
    (from rev 184196, openvpn/trunk/PKGBUILD)
  openvpn/repos/testing-i686/openvpn-2.3.0-fix-systemd-ask-password-path.patch
    (from rev 184196, openvpn/trunk/openvpn-2.3.0-fix-systemd-ask-password-path.patch)
  openvpn/repos/testing-i686/openvpn-tapdev.conf
    (from rev 184196, openvpn/trunk/openvpn-tapdev.conf)
  openvpn/repos/testing-i686/openvpn-tapdev.rc
    (from rev 184196, openvpn/trunk/openvpn-tapdev.rc)
  openvpn/repos/testing-i686/openvpn.rc
    (from rev 184196, openvpn/trunk/openvpn.rc)
  openvpn/repos/testing-i686/openvpn at .service
    (from rev 184196, openvpn/trunk/openvpn at .service)
  openvpn/repos/testing-x86_64/
  openvpn/repos/testing-x86_64/PKGBUILD
    (from rev 184196, openvpn/trunk/PKGBUILD)
  openvpn/repos/testing-x86_64/openvpn-2.3.0-fix-systemd-ask-password-path.patch
    (from rev 184196, openvpn/trunk/openvpn-2.3.0-fix-systemd-ask-password-path.patch)
  openvpn/repos/testing-x86_64/openvpn-tapdev.conf
    (from rev 184196, openvpn/trunk/openvpn-tapdev.conf)
  openvpn/repos/testing-x86_64/openvpn-tapdev.rc
    (from rev 184196, openvpn/trunk/openvpn-tapdev.rc)
  openvpn/repos/testing-x86_64/openvpn.rc
    (from rev 184196, openvpn/trunk/openvpn.rc)
  openvpn/repos/testing-x86_64/openvpn at .service
    (from rev 184196, openvpn/trunk/openvpn at .service)

------------------------------------------------------------------+
 testing-i686/PKGBUILD                                            |   65 ++++++++++
 testing-i686/openvpn-2.3.0-fix-systemd-ask-password-path.patch   |   11 +
 testing-i686/openvpn-tapdev.conf                                 |   12 +
 testing-i686/openvpn-tapdev.rc                                   |   40 ++++++
 testing-i686/openvpn.rc                                          |   43 ++++++
 testing-i686/openvpn at .service                                    |   10 +
 testing-x86_64/PKGBUILD                                          |   65 ++++++++++
 testing-x86_64/openvpn-2.3.0-fix-systemd-ask-password-path.patch |   11 +
 testing-x86_64/openvpn-tapdev.conf                               |   12 +
 testing-x86_64/openvpn-tapdev.rc                                 |   40 ++++++
 testing-x86_64/openvpn.rc                                        |   43 ++++++
 testing-x86_64/openvpn at .service                                  |   10 +
 12 files changed, 362 insertions(+)

Copied: openvpn/repos/testing-i686/PKGBUILD (from rev 184196, openvpn/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2013-05-03 12:31:33 UTC (rev 184197)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Thomas Bächler <thomas at archlinux.org>
+
+pkgname=openvpn
+pkgver=2.3.1
+pkgrel=1
+pkgdesc="An easy-to-use, robust, and highly configurable VPN (Virtual Private Network)"
+arch=(i686 x86_64)
+url="http://openvpn.net/index.php/open-source.html"
+depends=('openssl' 'lzo2' 'iproute2')
+makedepends=('systemd')
+license=('custom')
+backup=(usr/share/openvpn/easy-rsa/vars
+        usr/share/openvpn/easy-rsa/openssl-1.0.0.cnf)
+source=(http://swupdate.openvpn.net/community/releases/openvpn-${pkgver}.tar.gz
+        http://swupdate.openvpn.net/community/releases/openvpn-${pkgver}.tar.gz.asc
+        http://build.openvpn.net/downloads/releases/easy-rsa-2.2.0_master.tar.gz
+        http://build.openvpn.net/downloads/releases/easy-rsa-2.2.0_master.tar.gz.asc
+        openvpn at .service
+        openvpn-2.3.0-fix-systemd-ask-password-path.patch)
+md5sums=('57a3b64597fc37b7842a3fde354d8bbe'
+         'SKIP'
+         'fbf818b6e1f212e77b9ce0e6d92584a1'
+         'SKIP'
+         '0846aa59d0b123d61030890f9a4135ae'
+         'e1bd1523e38745e948c710db1a330bb1')
+options=(!libtool)
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  patch -p0 -i $srcdir/openvpn-2.3.0-fix-systemd-ask-password-path.patch
+  # Build openvpn
+  CFLAGS="$CFLAGS -DPLUGIN_LIBDIR=\\\"/usr/lib/openvpn\\\"" ./configure \
+    --prefix=/usr \
+    --enable-password-save \
+    --mandir=/usr/share/man \
+    --enable-iproute2 \
+    --enable-systemd
+  make
+  # Build easy-rsa
+  cd $srcdir/easy-rsa-2.2.0_master
+  ./configure --prefix=/usr --with-easyrsadir=/usr/share/openvpn/easy-rsa
+  make
+}
+
+package() {
+  cd $srcdir/$pkgname-$pkgver
+  # Install openvpn
+  make DESTDIR=$pkgdir install
+  install -d -m755 $pkgdir/etc/openvpn
+  # Install examples
+  install -d -m755 $pkgdir/usr/share/openvpn
+  cp -r sample/sample-config-files $pkgdir/usr/share/openvpn/examples
+  # Install license
+  install -D -m644 COPYING $pkgdir/usr/share/licenses/$pkgname/COPYING
+  # Install contrib
+  install -d -m755 $pkgdir/usr/share/openvpn/contrib
+  cp -r contrib $pkgdir/usr/share/openvpn
+  # Install easy-rsa
+  cd $srcdir/easy-rsa-2.2.0_master
+  make install DESTDIR=$pkgdir
+  rm -f ${pkgdir}/usr/share/openvpn/easy-rsa/openssl-0.9.?.cnf
+  # Install rc scripts
+  install -D -m644 $srcdir/openvpn at .service $pkgdir/usr/lib/systemd/system/openvpn at .service
+}

Copied: openvpn/repos/testing-i686/openvpn-2.3.0-fix-systemd-ask-password-path.patch (from rev 184196, openvpn/trunk/openvpn-2.3.0-fix-systemd-ask-password-path.patch)
===================================================================
--- testing-i686/openvpn-2.3.0-fix-systemd-ask-password-path.patch	                        (rev 0)
+++ testing-i686/openvpn-2.3.0-fix-systemd-ask-password-path.patch	2013-05-03 12:31:33 UTC (rev 184197)
@@ -0,0 +1,11 @@
+--- src/openvpn/console.c.orig	2013-01-30 09:42:57.480257300 +0100
++++ src/openvpn/console.c	2013-01-30 09:43:07.446179811 +0100
+@@ -162,7 +162,7 @@ get_console_input_systemd (const char *p
+   struct argv argv;
+ 
+   argv_init (&argv);
+-  argv_printf (&argv, "/bin/systemd-ask-password");
++  argv_printf (&argv, "/usr/bin/systemd-ask-password");
+   argv_printf_cat (&argv, "%s", prompt);
+ 
+   if ((std_out = openvpn_popen (&argv, NULL)) < 0) {

Copied: openvpn/repos/testing-i686/openvpn-tapdev.conf (from rev 184196, openvpn/trunk/openvpn-tapdev.conf)
===================================================================
--- testing-i686/openvpn-tapdev.conf	                        (rev 0)
+++ testing-i686/openvpn-tapdev.conf	2013-05-03 12:31:33 UTC (rev 184197)
@@ -0,0 +1,12 @@
+#
+# /etc/conf.d/openvpn-tapdev
+#
+# Place openvpn-tapdev before network into your DAEMONS array
+# This will create permanent tap devices which you can use for bridging
+#
+# Example:
+# TAPDEVS="work home"
+# Will create two tap devices "work" and "home"
+#
+
+TAPDEVS=""

Copied: openvpn/repos/testing-i686/openvpn-tapdev.rc (from rev 184196, openvpn/trunk/openvpn-tapdev.rc)
===================================================================
--- testing-i686/openvpn-tapdev.rc	                        (rev 0)
+++ testing-i686/openvpn-tapdev.rc	2013-05-03 12:31:33 UTC (rev 184197)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+. /etc/conf.d/openvpn-tapdev
+
+case "$1" in
+  start)
+    stat_busy "Creating tap devices for OpenVPN ... "
+    success=0
+    for tapdev in ${TAPDEVS}; do
+      stat_append "${tapdev} "
+      /usr/sbin/openvpn --mktun --dev-type tap --dev ${tapdev} >/dev/null 2>&1 || success=$?
+    done
+    if [ $success -eq 0 ]; then
+      add_daemon openvpn-tapdev
+      stat_done
+    else
+      stat_fail
+    fi
+    ;;
+  stop)
+    stat_busy "Destroying tap devices for OpenVPN ..."
+    for tapdev in ${TAPDEVS}; do
+      stat_append "${tapdev} "
+      /usr/sbin/openvpn --rmtun --dev-type tap --dev ${tapdev} >/dev/null 2>&1 || success=$?
+    done
+    rm_daemon openvpn-tapdev
+    stat_done
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac
+exit 0

Copied: openvpn/repos/testing-i686/openvpn.rc (from rev 184196, openvpn/trunk/openvpn.rc)
===================================================================
--- testing-i686/openvpn.rc	                        (rev 0)
+++ testing-i686/openvpn.rc	2013-05-03 12:31:33 UTC (rev 184197)
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+CFGDIR="/etc/openvpn"
+STATEDIR="/var/run/openvpn"
+
+case "$1" in
+  start)
+    stat_busy "Starting OpenVPN ... "
+    success=0
+    mkdir -p "${STATEDIR}"
+    for cfg in "${CFGDIR}"/*.conf; do
+      stat_append "$(basename "${cfg}" .conf) "
+      /usr/sbin/openvpn --daemon --writepid "${STATEDIR}"/"$(basename "${cfg}" .conf)".pid --cd "${CFGDIR}" --config "${cfg}" || success=$?
+    done
+    if [ $success -eq 0 ]; then
+      add_daemon openvpn
+      stat_done
+    else
+      stat_fail
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping OpenVPN ..."
+    for pidfile in "${STATEDIR}"/*.pid; do
+      stat_append "$(basename "${pidfile}" .pid) "
+      kill $(cat "${pidfile}" 2>/dev/null) 2>/dev/null
+      rm -f "${pidfile}"
+    done
+    rm_daemon openvpn
+    stat_done
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac
+exit 0

Copied: openvpn/repos/testing-i686/openvpn at .service (from rev 184196, openvpn/trunk/openvpn at .service)
===================================================================
--- testing-i686/openvpn at .service	                        (rev 0)
+++ testing-i686/openvpn at .service	2013-05-03 12:31:33 UTC (rev 184197)
@@ -0,0 +1,10 @@
+[Unit]
+Description=OpenVPN connection to %i
+After=network.target
+
+[Service]
+Type=forking
+ExecStart=/usr/sbin/openvpn --cd /etc/openvpn --config /etc/openvpn/%i.conf --daemon openvpn@%i
+
+[Install]
+WantedBy=multi-user.target

Copied: openvpn/repos/testing-x86_64/PKGBUILD (from rev 184196, openvpn/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2013-05-03 12:31:33 UTC (rev 184197)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Thomas Bächler <thomas at archlinux.org>
+
+pkgname=openvpn
+pkgver=2.3.1
+pkgrel=1
+pkgdesc="An easy-to-use, robust, and highly configurable VPN (Virtual Private Network)"
+arch=(i686 x86_64)
+url="http://openvpn.net/index.php/open-source.html"
+depends=('openssl' 'lzo2' 'iproute2')
+makedepends=('systemd')
+license=('custom')
+backup=(usr/share/openvpn/easy-rsa/vars
+        usr/share/openvpn/easy-rsa/openssl-1.0.0.cnf)
+source=(http://swupdate.openvpn.net/community/releases/openvpn-${pkgver}.tar.gz
+        http://swupdate.openvpn.net/community/releases/openvpn-${pkgver}.tar.gz.asc
+        http://build.openvpn.net/downloads/releases/easy-rsa-2.2.0_master.tar.gz
+        http://build.openvpn.net/downloads/releases/easy-rsa-2.2.0_master.tar.gz.asc
+        openvpn at .service
+        openvpn-2.3.0-fix-systemd-ask-password-path.patch)
+md5sums=('57a3b64597fc37b7842a3fde354d8bbe'
+         'SKIP'
+         'fbf818b6e1f212e77b9ce0e6d92584a1'
+         'SKIP'
+         '0846aa59d0b123d61030890f9a4135ae'
+         'e1bd1523e38745e948c710db1a330bb1')
+options=(!libtool)
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  patch -p0 -i $srcdir/openvpn-2.3.0-fix-systemd-ask-password-path.patch
+  # Build openvpn
+  CFLAGS="$CFLAGS -DPLUGIN_LIBDIR=\\\"/usr/lib/openvpn\\\"" ./configure \
+    --prefix=/usr \
+    --enable-password-save \
+    --mandir=/usr/share/man \
+    --enable-iproute2 \
+    --enable-systemd
+  make
+  # Build easy-rsa
+  cd $srcdir/easy-rsa-2.2.0_master
+  ./configure --prefix=/usr --with-easyrsadir=/usr/share/openvpn/easy-rsa
+  make
+}
+
+package() {
+  cd $srcdir/$pkgname-$pkgver
+  # Install openvpn
+  make DESTDIR=$pkgdir install
+  install -d -m755 $pkgdir/etc/openvpn
+  # Install examples
+  install -d -m755 $pkgdir/usr/share/openvpn
+  cp -r sample/sample-config-files $pkgdir/usr/share/openvpn/examples
+  # Install license
+  install -D -m644 COPYING $pkgdir/usr/share/licenses/$pkgname/COPYING
+  # Install contrib
+  install -d -m755 $pkgdir/usr/share/openvpn/contrib
+  cp -r contrib $pkgdir/usr/share/openvpn
+  # Install easy-rsa
+  cd $srcdir/easy-rsa-2.2.0_master
+  make install DESTDIR=$pkgdir
+  rm -f ${pkgdir}/usr/share/openvpn/easy-rsa/openssl-0.9.?.cnf
+  # Install rc scripts
+  install -D -m644 $srcdir/openvpn at .service $pkgdir/usr/lib/systemd/system/openvpn at .service
+}

Copied: openvpn/repos/testing-x86_64/openvpn-2.3.0-fix-systemd-ask-password-path.patch (from rev 184196, openvpn/trunk/openvpn-2.3.0-fix-systemd-ask-password-path.patch)
===================================================================
--- testing-x86_64/openvpn-2.3.0-fix-systemd-ask-password-path.patch	                        (rev 0)
+++ testing-x86_64/openvpn-2.3.0-fix-systemd-ask-password-path.patch	2013-05-03 12:31:33 UTC (rev 184197)
@@ -0,0 +1,11 @@
+--- src/openvpn/console.c.orig	2013-01-30 09:42:57.480257300 +0100
++++ src/openvpn/console.c	2013-01-30 09:43:07.446179811 +0100
+@@ -162,7 +162,7 @@ get_console_input_systemd (const char *p
+   struct argv argv;
+ 
+   argv_init (&argv);
+-  argv_printf (&argv, "/bin/systemd-ask-password");
++  argv_printf (&argv, "/usr/bin/systemd-ask-password");
+   argv_printf_cat (&argv, "%s", prompt);
+ 
+   if ((std_out = openvpn_popen (&argv, NULL)) < 0) {

Copied: openvpn/repos/testing-x86_64/openvpn-tapdev.conf (from rev 184196, openvpn/trunk/openvpn-tapdev.conf)
===================================================================
--- testing-x86_64/openvpn-tapdev.conf	                        (rev 0)
+++ testing-x86_64/openvpn-tapdev.conf	2013-05-03 12:31:33 UTC (rev 184197)
@@ -0,0 +1,12 @@
+#
+# /etc/conf.d/openvpn-tapdev
+#
+# Place openvpn-tapdev before network into your DAEMONS array
+# This will create permanent tap devices which you can use for bridging
+#
+# Example:
+# TAPDEVS="work home"
+# Will create two tap devices "work" and "home"
+#
+
+TAPDEVS=""

Copied: openvpn/repos/testing-x86_64/openvpn-tapdev.rc (from rev 184196, openvpn/trunk/openvpn-tapdev.rc)
===================================================================
--- testing-x86_64/openvpn-tapdev.rc	                        (rev 0)
+++ testing-x86_64/openvpn-tapdev.rc	2013-05-03 12:31:33 UTC (rev 184197)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+. /etc/conf.d/openvpn-tapdev
+
+case "$1" in
+  start)
+    stat_busy "Creating tap devices for OpenVPN ... "
+    success=0
+    for tapdev in ${TAPDEVS}; do
+      stat_append "${tapdev} "
+      /usr/sbin/openvpn --mktun --dev-type tap --dev ${tapdev} >/dev/null 2>&1 || success=$?
+    done
+    if [ $success -eq 0 ]; then
+      add_daemon openvpn-tapdev
+      stat_done
+    else
+      stat_fail
+    fi
+    ;;
+  stop)
+    stat_busy "Destroying tap devices for OpenVPN ..."
+    for tapdev in ${TAPDEVS}; do
+      stat_append "${tapdev} "
+      /usr/sbin/openvpn --rmtun --dev-type tap --dev ${tapdev} >/dev/null 2>&1 || success=$?
+    done
+    rm_daemon openvpn-tapdev
+    stat_done
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac
+exit 0

Copied: openvpn/repos/testing-x86_64/openvpn.rc (from rev 184196, openvpn/trunk/openvpn.rc)
===================================================================
--- testing-x86_64/openvpn.rc	                        (rev 0)
+++ testing-x86_64/openvpn.rc	2013-05-03 12:31:33 UTC (rev 184197)
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+CFGDIR="/etc/openvpn"
+STATEDIR="/var/run/openvpn"
+
+case "$1" in
+  start)
+    stat_busy "Starting OpenVPN ... "
+    success=0
+    mkdir -p "${STATEDIR}"
+    for cfg in "${CFGDIR}"/*.conf; do
+      stat_append "$(basename "${cfg}" .conf) "
+      /usr/sbin/openvpn --daemon --writepid "${STATEDIR}"/"$(basename "${cfg}" .conf)".pid --cd "${CFGDIR}" --config "${cfg}" || success=$?
+    done
+    if [ $success -eq 0 ]; then
+      add_daemon openvpn
+      stat_done
+    else
+      stat_fail
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping OpenVPN ..."
+    for pidfile in "${STATEDIR}"/*.pid; do
+      stat_append "$(basename "${pidfile}" .pid) "
+      kill $(cat "${pidfile}" 2>/dev/null) 2>/dev/null
+      rm -f "${pidfile}"
+    done
+    rm_daemon openvpn
+    stat_done
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac
+exit 0

Copied: openvpn/repos/testing-x86_64/openvpn at .service (from rev 184196, openvpn/trunk/openvpn at .service)
===================================================================
--- testing-x86_64/openvpn at .service	                        (rev 0)
+++ testing-x86_64/openvpn at .service	2013-05-03 12:31:33 UTC (rev 184197)
@@ -0,0 +1,10 @@
+[Unit]
+Description=OpenVPN connection to %i
+After=network.target
+
+[Service]
+Type=forking
+ExecStart=/usr/sbin/openvpn --cd /etc/openvpn --config /etc/openvpn/%i.conf --daemon openvpn@%i
+
+[Install]
+WantedBy=multi-user.target




More information about the arch-commits mailing list